Post
/api/v1/e2e.acceptSuggestedGroupKey
Accepts the E2E group key that another room member suggested for the authenticated user in an encrypted room. The suggested key becomes the user's room key, and the user is removed from the room's queue of users waiting for a key. If the user has no previous room keys, the suggested previous room keys are also saved.
Changelog
| Version | Description |
|---|---|
| 6.0.0 | Added |
Header parameters
X-User-Id
stringRequired
The user ID.
ExampleCkCPNctrgCDfmWLqC
X-Auth-Token
stringRequired
The authentication token.
Example1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE
Body parameters
Example
{
"rid": "wCiXndNp5NqNY3uCc"
}object
rid
string Required
The room ID.
ExamplewCiXndNp5NqNY3uCc
Responses
200
OK
Success
{
"success": true
}object
success
boolean
400
Bad Request
Invalid Params
{
"success": false,
"error": "must have required property 'rid'",
"errorType": "invalid-params"
}Subscription Not Found
{
"success": false,
"error": "Subscription not found [error-subscription-not-found]",
"errorType": "error-subscription-not-found",
"details": {
"method": "e2e.acceptSuggestedGroupKey"
}
}No Suggested Key
{
"success": false,
"error": "No suggested key available [error-no-suggested-key-available]",
"errorType": "error-no-suggested-key-available",
"details": {
"method": "e2e.acceptSuggestedGroupKey"
}
}object
success
boolean
error
string
errorType
string
details
object
method
string
401
Unauthorized
Authorization Error
{
"status": "error",
"message": "You must be logged in to do this."
}object
status
string
message
string